> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# List Memberships

> Retrieve all memberships for a specific organization.



## OpenAPI

````yaml /endpoints/openapi.json get /v1/organizations/{organization}/memberships
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/memberships:
    get:
      tags:
        - Memberships
      summary: List Memberships
      description: Retrieve all memberships for a specific organization.
      operationId: partner.memberships.index
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            Available includes are `division`. You can include multiple options
            by separating them with a comma.
          schema:
            type: string
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 30
        - name: page[cursor]
          in: query
          description: The cursor to start the pagination from.
          schema:
            type: string
        - name: filter[division_id]
          in: query
          description: Filter by division ID.
          schema:
            type: string
            examples:
              - 310476121357873150
        - name: filter[type]
          in: query
          description: Filter by membership type.
          schema:
            type: string
            examples:
              - public
      responses:
        '200':
          description: Paginated set of `Membership`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Membership'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      next_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the next set of items.
                      prev_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the previous set of items.
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/Division'
                required:
                  - data
                  - links
                  - meta
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Membership:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - memberships
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the membership.
              examples:
                - '310476121357873161'
            name:
              type: array
              description: Name of the membership.
              examples:
                - Premium Membership
              items: {}
            type:
              type: string
              description: Type of the membership.
              enum:
                - public
                - member
          required:
            - id
            - name
            - type
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Membership
    Division:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - divisions
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the division.
              examples:
                - '310476121357873158'
            name:
              type: string
              description: Name of the division.
              examples:
                - Golf
            industry:
              $ref: '#/components/schemas/DivisionIndustry'
              description: Industry of the division.
          required:
            - id
            - name
            - industry
      required:
        - id
        - type
      title: Division
    DivisionResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - divisions
        id:
          type: string
      required:
        - type
        - id
      title: DivisionResourceIdentifier
    DivisionIndustry:
      type: string
      enum:
        - golf
        - indoorGolf
        - snowTubing
        - curling
        - eventManagement
        - other
      title: DivisionIndustry
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````